首页
学习
活动
专区
圈层
工具
发布
社区首页 >问答首页 >使用curl下载可执行文件

使用curl下载可执行文件
EN

Stack Overflow用户
提问于 2021-04-23 22:48:27
回答 1查看 149关注 0票数 0

我正在按照文档安装Argo CD,并且我需要在这里安装一个适用于Linux的包:https://github.com/argoproj/argo-cd/releases如果我通过资源管理器安装,安装它没有问题,但使用curl时,我得到以下错误(作为根用户和普通用户):

代码语言:javascript
复制
curl -sSL https://github.com/argoproj/argo-cd/releases/download/v2.0.1/argocd-util-linux-amd64 -o .
curl: (23) Failed writing body (0 != 1369)

详细模式不会为我提供太多信息

EN

回答 1

Stack Overflow用户

发布于 2021-04-23 23:07:41

我认为这发生在github从githubusercontent idk下载/重定向时尝试这个

代码语言:javascript
复制
curl -LJO https://github.com/argoproj/argo-cd/releases/download/v2.0.1/argocd-util-linux-amd64

-L --location
-J --remote-header-name
-O --remote-name

如果您尝试使用wget

代码语言:javascript
复制
Resolving github.com (github.com)... 140.82.121.4
Connecting to github.com (github.com)|140.82.121.4|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://github-releases.githubusercontent.com/120896210/9da49480-9e3b- 
11eb-9e9b-706ed4210355?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz- 
Credential=AKIAIWNJYAX4CSVEH53A%2F20210423%2Fus-east-1%2Fs3%2Faws4_request&X- 
Amz-Date=20210423T145336Z&X-Amz-Expires=300&X-Amz- 
Signature=dc9310ece835c05901c4a051735560c9445c7ba34008e5404516f609c5d490a9&X- 
Amz-SignedHeaders=host&actor_id=0&key_id=0&repo_id=120896210&response-content- 
disposition=attachment%3B%20filename%3Dargocd-util-linux-amd64&response-content- 
type=application%2Foctet-stream [following]
--2021-04-23 16:53:36--  https://github- 
releases.githubusercontent.com/120896210/9da49480-9e3b-11eb-9e9b-706ed4210355?X- 
Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz- 
Credential=AKIAIWNJYAX4CSVEH53A%2F20210423%2Fus-east-1%2Fs3%2Faws4_request&X- 
Amz-Date=20210423T145336Z&X-Amz-Expires=300&X-Amz- 
Signature=dc9310ece835c05901c4a051735560c9445c7ba34008e5404516f609c5d490a9&X- 
Amz-SignedHeaders=host&actor_id=0&key_id=0&repo_id=120896210&response-content- 
disposition=attachment%3B%20filename%3Dargocd-util-linux-amd64&response-content- 
type=application%2Foctet-stream
Resolving github-releases.githubusercontent.com (github- 
releases.githubusercontent.com)... 185.199.109.154, 185.199.110.154, 
185.199.108.154, ...
Connecting to github-releases.githubusercontent.com (github- 
releases.githubusercontent.com)|185.199.109.154|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 89473879 (85M) [application/octet-stream]
Saving to: ‘argocd-util-linux-amd64’

我猜它跟最后一个的链接是一样的。

参考:https://gist.github.com/jwebcat/5122366

票数 0
EN
页面原文内容由Stack Overflow提供。腾讯云小微IT领域专用引擎提供翻译支持
原文链接:

https://stackoverflow.com/questions/67232133

复制
相关文章

相似问题

领券
问题归档专栏文章快讯文章归档关键词归档开发者手册归档开发者手册 Section 归档